####---------------- Toolboxes ----------------####
Brant Point:
  extends:
  - .fedora-based
  - .build
  rules:
  - if: $CI_COMMIT_REF_NAME == $RELEASE_BRANCH && ($IMAGES == null || $IMAGES == '')
    changes:
    - brantpoint/**/*
    variables:
      FROM_TAG: latest
      REGISTRY_TAGS: $registry_tags_rel
  - if: $CI_COMMIT_REF_NAME == $RELEASE_BRANCH && ($IMAGES == "all" || $IMAGES =~ /(^|\s)brantpoint(\s|$)/)
    variables:
      FROM_TAG: latest
      REGISTRY_TAGS: $registry_tags_rel
  - if: $IMAGES == null || $IMAGES == ''
    changes:
    - brantpoint/**/*
  - if: $IMAGES == "all" || $IMAGES =~ /(^|\s)brantpoint(\s|$)/
  variables:
    DOCKERFILE: brantpoint/Dockerfile
    OCI_BUILD_ARGS_ENV: PACKER_VERSION
    REGISTRY_TAGS: €reg_gitlab/brantpoint:$CI_COMMIT_REF_NAME
    registry_tags_rel: €reg_gitlab/brantpoint:{latest,€VERSION_TS_WEEK}
